Delete Timeoff requests
/unified/hris/timeoff_requests/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
This represents the employee requesting time off.
3 supported2 required
The unique identifier for employees
This represents the name of the employee.
This represents the start time of the time off request.
2 supported1 required
This represents the end time of the time off request.
2 supported1 required
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The unique identifier for timeoffpolicies
2 supported
This represents the amount of the time off request.
1 supported
This represents the approver of the time off request.
This represents the date when the timeoffpolicies was created
1 supported
This represents the description of the time off request.
1 supported
This represents the employee requesting time off.
2 supported
The unique identifier for employees
This represents the name of the employee.
This represents the employee note for the time off request.
1 supported
This represents the end time of the time off request.
2 supported
This represents the reason of the time off request.
1 supported
The unique identifier for timeoff_reason
This represents the name of the timeoff_reason.
Raw data returned from the remote API call.
This represents the request type of the time off request.
This represents the session of the time off request.
fullmorningafternoon
2 supported
This represents the start time of the time off request.
2 supported
This represents the status of the time off request.
1 supported
This represents the time off type of the time off request.
1 supported
This represents the units of the time off request.
hoursdaysweeksmonths
This represents the date when the timeoffpolicies was updated
1 supported
curl -X DELETE 'https://api.truto.one/unified/hris/timeoff_requests/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/hris/timeoff_requests/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'DELETE',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/hris/timeoff_requests/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.delete(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.delete(
'hris',
'timeoffrequests',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.delete(
"hris",
"timeoffrequests",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())